/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.FGUI;
using XGame.Framework.UI;
using XGame.Framework.UI.View;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _MainBossLaiXi;
        public static UIKey MainBossLaiXi => _MainBossLaiXi ?? (_MainBossLaiXi = new UIKey("Main", "BossLaiXi", typeof(MainBossLaiXiView)));
    }
    public partial class MainBossLaiXiView : UIView
    {
        protected override void AddController(IUIControllerGroup group)
        {
            group.AddController(new MainBossLaiXiCtrl());
        }

        protected override IUIViewModel CreateViewModel(IUIPanel panel)
        {
            return new MainBossLaiXiVM((panel as FguiPanel).Panel);
        }

        protected override void OnDispose()
        {
        }
    }
}

